Change logs for guile-1.8 source package in Trusty

  • guile-1.8 (1.8.8+1-8ubuntu3) trusty; urgency=medium
    
      * Hack around formfeed differences in texinfo 5 (closes: #711029).
     -- Colin Watson <email address hidden>   Tue, 04 Feb 2014 18:02:01 +0000
  • guile-1.8 (1.8.8+1-8ubuntu2) trusty; urgency=medium
    
      * Apply texinfo fixes from debian bug report and guile-2.0 source code
        (Closes: #711029)
      * Force use serial-tests runner.
      * Some tests fail in my environment. Maybe buildds will do better.
     -- Dimitri John Ledkov <email address hidden>   Tue, 24 Dec 2013 21:10:30 +0000
  • guile-1.8 (1.8.8+1-8ubuntu1) raring; urgency=low
    
      * Resynchronise with Debian.  Remaining changes:
        - Build with thread support. Some guile-using programs like autogen need
          it.
        - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
          soname.
      * Dropped change (fixed differently in Debian):
        - Build with unused-but-set-variable.
    
    guile-1.8 (1.8.8+1-8) unstable; urgency=low
    
      * Add 0007-Mark-Unused-modules-are-removed-gc-test-as-unresolve.patch.
        This should help fix some unpredictable build failures.  Thanks to
        Julien Cristau <email address hidden> for the report. (Closes: #653939)
    
    guile-1.8 (1.8.8+1-7) unstable; urgency=low
    
      * Allow guile-1.8 and guile-2.0 manpages to coexist.  Rename the manpage
        from guile.1 to guile-X.Y.1 and use update-alternatives --slave so
        that the Guile manpage will be available via "man guile" or "man
        guile-X.Y".
    
      * Configure with --disable-error-on-warning.  This fixes build failures
        caused by newer versions of gcc that report new warnings.  Thanks to
        Matthias Klose <email address hidden> for the report, <email address hidden> (Ludovic
        Court├Ęs) for the fix, and Nobuhiro Iwamatsu <email address hidden> for
        the 1.8.8+1-6.1 NMU which included it.  (Closes: #625355)
    
      * Add upstream patch to fix sockets.test on non-IPV6 kernels.  Add
        0006-Make-sockets.test-more-robust.patch.  Thanks to Nobuhiro Iwamatsu
        <email address hidden> for the report and the pointer to the upstream
        patch. (Closes: #631254)
     -- Colin Watson <email address hidden>   Tue, 27 Nov 2012 18:49:16 +0000